<?php
function litimgurls($imgid=0)
{
    global $lit_imglist,$dsql;
    //獲取附加表
    $row = $dsql->GetOne("SELECT c.addtable FROM #@__archives AS a LEFT JOIN #@__channeltype AS c 
                                                            ON a.channel=c.id where a.id='$imgid'");
    $addtable = trim($row['addtable']);
    
    //獲取圖片附加表imgurls字段內容進行處理
    $row = $dsql->GetOne("Select imgurls From `$addtable` where aid='$imgid'");
    
    //調用inc_channel_unit.php中ChannelUnit類
    $ChannelUnit = new ChannelUnit(2,$imgid);
    
    //調用ChannelUnit類中GetlitImgLinks方法處理縮略圖
    $lit_imglist = $ChannelUnit->GetlitImgLinks($row['imgurls']);
    
    //返回結果
    return $lit_imglist;
}